rails_vue_melt 0.1.0 → 0.2.0

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA1:
3
- metadata.gz: 1d1d0c588ea63fa010025d75154666f382469e6a
4
- data.tar.gz: 27395b5d4d5f7287160ce3922deb00876a39a117
3
+ metadata.gz: d5b39cc72a98e5a00e7f79a96f1f14a997498e49
4
+ data.tar.gz: 1cf9315a901966a0d6bde9bc40b84a35e56c839d
5
5
  SHA512:
6
- metadata.gz: b7daa9fd6e8dbd9233f37d63bcea7d132f2685c25a7e14245902bcdf2c9b08b238e90a7944a22f90cd4c36c278c21093030cace6aa67f3060642ba3341cf9e3c
7
- data.tar.gz: 1766a400402fb44ec0d4b779569971f1166e3910125aa334b8e4d20a8dc4f9c5daf04bdd8e7c79c9e0b29a7ef71430a81f260fa8ac89e778a8f82e9c3c3dccf2
6
+ metadata.gz: 901092ffa35db89fc8c829d10c89c38b8131d9a0746c969cc32667c55f37070801556e12a69efc182561846f1d3a0d409b1d93597a72ee7d717799c9c222347a
7
+ data.tar.gz: 92280e389ee5fd214023f541ee68c185387e889ab141bf3ec7396ffc9d4524468d81b1ce72dd903402b638f4b9a26e9d880bd22d80aa3000686ac496808a1f85
data/README.md CHANGED
@@ -50,10 +50,10 @@ Or install it yourself as:
50
50
  <meta name="turbolinks-cache-control" content="no-cache">
51
51
  ```
52
52
 
53
- #### gsub `config/webpack/loaders/vue.js`
53
+ #### insert `config/webpack/environment.js`
54
54
 
55
55
  ```javascript
56
- extractCSS: false,
56
+ environment.loaders.get('vue').options.extractCSS = false
57
57
  ```
58
58
 
59
59
  #### install packages
@@ -12,7 +12,12 @@ class VueMeltGenerator < Rails::Generators::Base
12
12
  <meta name="turbolinks-cache-control" content="no-cache">
13
13
  EOS
14
14
  end
15
- gsub_file 'config/webpack/loaders/vue.js', 'extractCSS: true,', 'extractCSS: false,'
15
+
16
+ inject_into_file 'config/webpack/environment.js', before: /^module\.exports = environment$/ do
17
+ <<-EOS
18
+ environment.loaders.get('vue').options.extractCSS = false
19
+ EOS
20
+ end
16
21
  end
17
22
 
18
23
  def yarn
@@ -1,3 +1,3 @@
1
1
  module RailsVueMelt
2
- VERSION = '0.1.0'
2
+ VERSION = '0.2.0'
3
3
  end
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: rails_vue_melt
3
3
  version: !ruby/object:Gem::Version
4
- version: 0.1.0
4
+ version: 0.2.0
5
5
  platform: ruby
6
6
  authors:
7
7
  - midnightSuyama
8
8
  autorequire:
9
9
  bindir: bin
10
10
  cert_chain: []
11
- date: 2017-08-13 00:00:00.000000000 Z
11
+ date: 2017-09-07 00:00:00.000000000 Z
12
12
  dependencies:
13
13
  - !ruby/object:Gem::Dependency
14
14
  name: rails
@@ -16,14 +16,28 @@ dependencies:
16
16
  requirements:
17
17
  - - "~>"
18
18
  - !ruby/object:Gem::Version
19
- version: 5.1.2
19
+ version: '5.1'
20
20
  type: :runtime
21
21
  prerelease: false
22
22
  version_requirements: !ruby/object:Gem::Requirement
23
23
  requirements:
24
24
  - - "~>"
25
25
  - !ruby/object:Gem::Version
26
- version: 5.1.2
26
+ version: '5.1'
27
+ - !ruby/object:Gem::Dependency
28
+ name: webpacker
29
+ requirement: !ruby/object:Gem::Requirement
30
+ requirements:
31
+ - - "~>"
32
+ - !ruby/object:Gem::Version
33
+ version: '3.0'
34
+ type: :runtime
35
+ prerelease: false
36
+ version_requirements: !ruby/object:Gem::Requirement
37
+ requirements:
38
+ - - "~>"
39
+ - !ruby/object:Gem::Version
40
+ version: '3.0'
27
41
  - !ruby/object:Gem::Dependency
28
42
  name: rspec
29
43
  requirement: !ruby/object:Gem::Requirement